SALT-KEY(1)

NAME
salt-key - salt-key Documentation

SYNOPSIS

salt-key [ options ]

DESCRIPTION

Salt-key executes simple management of Salt server public keys used for authentication.

OPTIONS

--version
    Print the version of Salt that is running.

--versions-report
    Show program's dependencies and version number, and then exit

-h, --help
    Show the help message and exit

-c CONFIG_DIR, --config-dir=CONFIG_dir
    The location of the Salt configuration directory. This directory contains the configuration files for Salt master and minions. The default location on most systems is /etc/salt.

-q, --quiet
    Suppress output

-y, --yes
    Answer 'Yes' to all questions presented, defaults to False

  Logging Options

Logging options which override any settings defined on the configuration files.

--log-file=LOG_FILE
    Log file path. Default: /var/log/salt/minion.

--log-file-level=LOG_LEVEL_LOGFILE
    Logfile logging log level. One of all, garbage, trace, debug, info, warning, error, quiet. Default: warning.

  Output Options

--out
    Pass in an alternative outputter to display the return of data. This outputter can be any of the available outputters: grains, highstate, json, key, overstatestage, pprint, raw, txt, yaml

    Some outputters are formatted only for data returned from specific functions; for instance, the grains outputter will not work for non-grains data.

    If an outputter is used that does not support the data passed into it, then Salt will fall back on the pprint outputter and display the return data using the Python pprint standard library module.

    NOTE: If using --out=json, you will probably want --static as well. Without the static option, you will get a JSON string for each minion. This is due to using an iterative outputter. So if you want to feed it to a JSON parser, use --static as well.

--out-indent OUTPUT_INDENT, --output-indent OUTPUT_INDENT
    Print the output indented by the provided value in spaces. Negative values disable indentation. Only applicable in outputters that support indentation.

--out-file=OUTPUT_FILE, --output-file=OUTPUT_FILE
    Write the output to the specified file.

--no-color
    Disable all colored output

--force-color
    Force colored output

  Actions

-l ARG, --list=ARG
    List the public keys. The args pre, un, and unaccepted will list unaccepted/unsigned keys. acc or accepted will list accepted/signed keys. rej or rejected will list rejected keys. Finally, all will list all keys.

-L, --list-all
    List all public keys. (Deprecated: use --list all)

-a ACCEPT, --accept=ACCEPT
    Accept the specified public key (use --include-all to match rejected keys in addition to pending keys). Globs are supported.

-A, --accept-all
    Accepts all pending keys.

-r REJECT, --reject=REJECT
    Reject the specified public key (use --include-all to match accepted keys in addition to pending keys). Globs are supported.

-R, --reject-all
    Rejects all pending keys.

--include-all
    Include non-pending keys when accepting/rejecting.

-p PRINT, --print=PRINT
    Print the specified public key.

-P, --print-all
    Print all public keys

-d DELETE, --delete=DELETE
    Delete the specified key. Globs are supported.

-D, --delete-all
    Delete all keys.

-f FINGER, --finger=FINGER
    Print the specified key's fingerprint.

-F, --finger-all
    Print all keys' fingerprints.

  Key Generation Options

--gen-keys=GEN_KEYS
    Set a name to generate a keypair for use with salt

--gen-keys-dir=GEN_KEYS_DIR
    Set the directory to save the generated keypair. Only works with 'gen_keys_dir' option; default is the current directory.

--keysize=KEYSIZE
    Set the keysize for the generated key, only works with the '--gen-keys' option, the key size must be 2048 or higher, otherwise it will be rounded up to 2048. The default is 2048.

--gen-signature
    Generate the signature file named master_pubkey_signature for the salt-masters public key. The signatur itself can be send to the minions in auth-replies and enables the minions to verify the salt-masters public-key cryptographically. This requires a new signing-key-pair which can be auto-created with the --auto-create parameter.

--signature-path
    Target path for the signature file (must already exist)

--auto-create
    Auto-Create a signing key-pair if it does not yet exist

--pub=PUB
    The path to the public-key file to generate a signature for

--priv=PRIV
    The path to the private-key file to generate a signature with Example which will auto-create a default master_sign.* key-pair and a signature file named master_pubkey_signature for an already existing master.pub key

    salt-key --gen-signature --auto-create
    Example which will auto-create a new key-pair called signature.* and the signature itself for an already existing master.pub

    salt-key --gen-signature --auto-create --key-pair signature
    Example with specific pub- and private key-files which creates the signature for the given public key

    salt-key --gen-signature --pub /etc/salt/pki/master/master.pub --priv /root/signature.pem

SEE ALSO

salt(7) salt-master(1) salt-minion(1)

AUTHOR
Thomas S. Hatch <thatch45@gmail.com> and many others, please see the Authors file

COPYRIGHT
2013 SaltStack, Inc.